Search Rows
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}/rows/search \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"semantic": "<string>",
"filters": [
{
"column": "<string>",
"value": "<unknown>"
}
],
"tags_any": [
"<string>"
],
"tags_all": [
"<string>"
],
"order_by": "<string>",
"order_dir": "desc",
"limit": 10,
"offset": 0
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}/rows/search"
payload = {
"semantic": "<string>",
"filters": [
{
"column": "<string>",
"value": "<unknown>"
}
],
"tags_any": ["<string>"],
"tags_all": ["<string>"],
"order_by": "<string>",
"order_dir": "desc",
"limit": 10,
"offset": 0
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
semantic: '<string>',
filters: [{column: '<string>', value: '<unknown>'}],
tags_any: ['<string>'],
tags_all: ['<string>'],
order_by: '<string>',
order_dir: 'desc',
limit: 10,
offset: 0
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}/rows/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rows": [
{
"id": "<string>",
"external_id": "<string>",
"data": {},
"tags": [
"<string>"
],
"searchable_text": "<string>",
"content": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"score": 123
}
],
"total": 123
}Custom Data Sources
Search Rows
Search rows with semantic query + filters + pagination.
POST
/
api
/
v1
/
custom-data-sources
/
{id_or_slug}
/
rows
/
search
Search Rows
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}/rows/search \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"semantic": "<string>",
"filters": [
{
"column": "<string>",
"value": "<unknown>"
}
],
"tags_any": [
"<string>"
],
"tags_all": [
"<string>"
],
"order_by": "<string>",
"order_dir": "desc",
"limit": 10,
"offset": 0
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}/rows/search"
payload = {
"semantic": "<string>",
"filters": [
{
"column": "<string>",
"value": "<unknown>"
}
],
"tags_any": ["<string>"],
"tags_all": ["<string>"],
"order_by": "<string>",
"order_dir": "desc",
"limit": 10,
"offset": 0
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
semantic: '<string>',
filters: [{column: '<string>', value: '<unknown>'}],
tags_any: ['<string>'],
tags_all: ['<string>'],
order_by: '<string>',
order_dir: 'desc',
limit: 10,
offset: 0
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/custom-data-sources/{id_or_slug}/rows/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rows": [
{
"id": "<string>",
"external_id": "<string>",
"data": {},
"tags": [
"<string>"
],
"searchable_text": "<string>",
"content": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"score": 123
}
],
"total": 123
}Authorizations
Path Parameters
Body
application/json
Free-text query embedded and used for cosine similarity ranking.
Show child attributes
Show child attributes
Column to sort by (custom column or filterable system column). Ignored when semantic is set.
Available options:
asc, desc Required range:
1 <= x <= 200Required range:
x >= 0